Uploaded image for project: 'WildFly'
  1. WildFly
  2. WFLY-9866

(EE8 mode of) module javax.faces.api needs a dependency on javax.websocket.api

    Details

      Description

      Noticed during EE 8 testing, that javax.faces.event.WebsocketEvent needs a dependency on javax.websocket.CloseReason, so we probably need something like:

      <module name="javax.faces.api" xmlns="urn:jboss:module:1.7">
          <dependencies>
              <module name="com.sun.jsf-impl"/>
              <module name="javax.enterprise.api" export="true"/>
              <module name="javax.servlet.api" export="true"/>
              <module name="javax.servlet.jsp.api" export="true"/>
              <module name="javax.servlet.jstl.api" export="true"/>
              <module name="javax.validation.api" export="true"/>
              <module name="org.glassfish.javax.el" export="true"/>
              <module name="javax.api"/>
              <module name="javax.websocket.api"/>
          </dependencies>
      
          <resources>
              <resource-root path="jboss-jsf-api_2.2_spec-2.2.14.jar">
                  <conditions>
                      <property-not-equal name="ee8.preview.mode" value="true"/>
                  </conditions>
              </resource-root>
              <resource-root path="jboss-jsf-api_2.3_spec-2.3.3.SP1.jar">
                  <conditions>
                      <property-equal name="ee8.preview.mode" value="true"/>
                  </conditions>
              </resource-root>
          </resources>
      </module>
      

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                smarlow Scott Marlow
                Reporter:
                smarlow Scott Marlow
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: